var __loadFunction = load;
var __servletContext = Packages.jp.jasminesoft.jfc.JFCUtils.getServletContext(p.appctx);
load = function (path) {
  path = __wagbyPath(path);
  __loadFunction(path);
}

function __wagbyPath(path) {
  //var StringUtils = Java.type("jp.jasminesoft.jfc.core.util.StringUtils");
  var StringUtils = Java.type("org.apache.commons.lang3.StringUtils");
  if (StringUtils.isBlank(path) || !path.startsWith("wagby:")) {
    return path;
  }
  var pathPrefix = "/WEB-INF/script/";
  path = __servletContext.getRealPath(path.replace("wagby:", pathPrefix));
  __checkPathTraversal(path, __servletContext.getRealPath(pathPrefix));
  return path;
}

function __checkPathTraversal(path, pathPrefix) {
  //var StringUtils = Java.type("jp.jasminesoft.jfc.core.util.StringUtils");
  var StringUtils = Java.type("org.apache.commons.lang3.StringUtils");
  if (StringUtils.isBlank(path) || StringUtils.isBlank(pathPrefix)) {
    return;
  }
  if (new java.io.File(path).getCanonicalPath().startsWith(
      new java.io.File(pathPrefix).getCanonicalPath())) {
    return; // OK
  }
  throw new java.lang.IllegalArgumentException("The user-specified path ("
          + path + ") must be within "  + pathPrefix + ".");
}
